<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.attence.location.mapper.LocationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="locationResultMap" type="org.springblade.attence.location.entity.Location">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="name" property="name"/>
        <result column="latitude" property="latitude"/>
        <result column="longitude" property="longitude"/>
        <result column="area" property="area"/>
        <result column="address" property="address"/>
        <result column="rule_id" property="ruleId"/>
    </resultMap>


    <select id="selectLocationPage" resultMap="locationResultMap">
        select * from attence_location where is_deleted = 0
    </select>

</mapper>
